
From: Mikael Pettersson <mikpe@csd.uu.se>

perfctr-2.7.10 update, 4/4:
- Update ppc32 syscall table for perfctr-2.7.10 API changes.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/misc.S   |    5 ++---
 25-akpm/include/asm-ppc/unistd.h |    7 +++----
 2 files changed, 5 insertions(+), 7 deletions(-)

diff -puN arch/ppc/kernel/misc.S~perfctr-2710-api-update-4-4-ppc32 arch/ppc/kernel/misc.S
--- 25/arch/ppc/kernel/misc.S~perfctr-2710-api-update-4-4-ppc32	2005-02-21 15:45:39.000000000 -0800
+++ 25-akpm/arch/ppc/kernel/misc.S	2005-02-21 15:45:39.000000000 -0800
@@ -1452,6 +1452,5 @@ _GLOBAL(sys_call_table)
 	.long sys_keyctl
 	.long sys_vperfctr_open
 	.long sys_vperfctr_control
-	.long sys_vperfctr_unlink
-	.long sys_vperfctr_iresume	/* 275 */
-	.long sys_vperfctr_read
+	.long sys_vperfctr_write
+	.long sys_vperfctr_read		/* 275 */
diff -puN include/asm-ppc/unistd.h~perfctr-2710-api-update-4-4-ppc32 include/asm-ppc/unistd.h
--- 25/include/asm-ppc/unistd.h~perfctr-2710-api-update-4-4-ppc32	2005-02-21 15:45:39.000000000 -0800
+++ 25-akpm/include/asm-ppc/unistd.h	2005-02-21 15:45:39.000000000 -0800
@@ -278,11 +278,10 @@
 #define __NR_keyctl		271
 #define __NR_vperfctr_open	272
 #define __NR_vperfctr_control	(__NR_vperfctr_open+1)
-#define __NR_vperfctr_unlink	(__NR_vperfctr_open+2)
-#define __NR_vperfctr_iresume	(__NR_vperfctr_open+3)
-#define __NR_vperfctr_read	(__NR_vperfctr_open+4)
+#define __NR_vperfctr_write	(__NR_vperfctr_open+2)
+#define __NR_vperfctr_read	(__NR_vperfctr_open+3)
 
-#define __NR_syscalls		277
+#define __NR_syscalls		276
 
 #define __NR(n)	#n
 
_
